%define modname gmagick
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B01_%{modname}.ini

Summary:	Provides a wrapper to the GraphicsMagick library
Name:		php-%{modname}
Version:	1.1.7
Release:	%mkrel 0.RC3.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/gmagick/
Source0:	http://pecl.php.net/get/%{modname}-%{version}RC3.tgz
BuildRequires:	php-devel >= 3:5.4.4
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	graphicsmagick-devel >= 1.0.0
BuildRequires:	libsm-devel

%description
Gmagick is a php extension to create, modify and obtain meta information of
images using the GraphicsMagick API. This extension requires GraphicsMagick
version 1.2.6+ and PHP 5.1.3+.

%prep

%setup -q -n %{modname}-%{version}RC3
[ "../package*.xml" != "/" ] && mv ../package*.xml .

find -type f | xargs chmod 644

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc README package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Thu Feb 25 2016 oden <oden> 1.1.7-0.RC3.1.mga6
+ Revision: 979068
- 1.1.7RC3 (2.0.0RC1+ is for php-7.x+ only)
- 2.0.2RC1

* Tue Feb 16 2016 umeabot <umeabot> 1.1.2-0.0.RC1.7.mga6
+ Revision: 962077
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-0.0.RC1.6.mga5
+ Revision: 739988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-0.0.RC1.5.mga5
+ Revision: 687129
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 pterjan <pterjan> 1.1.2-0.0.RC1.4.mga4
+ Revision: 567657
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-0.0.RC1.3.mga4
+ Revision: 527803
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.1.2-0.0.RC1.2.mga4
+ Revision: 442635
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.1.2-0.0.RC1.1.mga3
+ Revision: 393503
- 1.1.2RC1

* Wed Jan 30 2013 oden <oden> 1.1.1-0.0.RC1.3.mga3
+ Revision: 393386
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-0.0.RC1.2.mga3
+ Revision: 375787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 oden <oden> 1.1.1-0.0.RC1.1.mga3
+ Revision: 292902
- new version

* Sun Jul 15 2012 spuhler <spuhler> 1.1.0-0.0.RC3.1.mga3
+ Revision: 271136
- upgrade to 1.1.0RC3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.10-0.0.b1.2.mga2
+ Revision: 223897
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1.0.10-0.0.b1.1.mga2
+ Revision: 185268
- upgrade to 1.0.10

* Sun Feb 06 2011 spuhler <spuhler> 1.0.8-0.0.b1.5.mga1
+ Revision: 47926
- removed buildroot definition from .spec
- imported package php-gmagick

